## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 5;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

Name:           vorbisgain
Version:        0.37
Release:        %autorelease
Summary:        Adds tags to Ogg Vorbis files to adjust the volume

License:        LGPLv2
URL:            https://sjeng.org/vorbisgain.html
Source0:        https://sjeng.org/ftp/vorbis/%{name}-%{version}.tar.gz
Patch0:         vorbisgain-spelling.patch
Patch1:         001-fprintf_fix.patch
Patch2:         vorbisgain-c99.patch

BuildRequires:  make
BuildRequires:  gcc
BuildRequires:  libvorbis-devel
BuildRequires:  libogg-devel


%description
VorbisGain is a utility that uses a psychoacoustic method to correct the
volume of an Ogg Vorbis file to a predefined standardized loudness.

It needs player support to work. Non-supporting players will play back
the files without problems, but you'll miss out on the benefits.
Nowadays most good players such as ogg123, xmms and mplayer are already
compatible.


%prep
%autosetup


%build
%configure --enable-recursive
%make_build


%install
%make_install


%files
%doc NEWS README
%{_bindir}/%{name}
%{_mandir}/man1/*


%changelog
* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> 0.37-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Tue Jan 03 2023 Colin B. Macdonald <cbm@m.fsf.org> 0.37-4
- Cleanup whitespace

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.37-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sat Mar 26 2022 Peter Oliver <git@mavit.org.uk> 0.37-2
- Modernise spec file.

* Sat Mar 26 2022 Peter Oliver <git@mavit.org.uk> 0.37-1
- Update to version 0.37.

* Sat Mar 26 2022 Peter Oliver <git@mavit.org.uk> 0.36-2
- Use autorelease and autochangelog.

* Thu Mar 24 2022 Tomas Hrcka <thrcka@redhat.com> 0.36-1
- Unretirement request: https://pagure.io/releng/issue/10714
